commit 2eb54f9d2fc0396375d5bfd8ea370e1f39b8dbb2
Author: Thies Pfeiffer <Thies.Pfeiffer@Uni-Bielefeld.de>
Date:   Tue Dec 8 21:37:27 2015 +0100

    Created working directory structure and project dependencies

diff --git a/GazeTkHub/.qmake.conf b/GazeTkHub/.qmake.conf
new file mode 100644
index 0000000..b303d71
--- /dev/null
+++ b/GazeTkHub/.qmake.conf
@@ -0,0 +1,2 @@
+top_srcdir=$$PWD
+top_builddir=$$shadowed($$PWD)
diff --git a/GazeTkHub/GazeTkHub.pro b/GazeTkHub/GazeTkHub.pro
index 97a3d2c..bcc1649 100644
--- a/GazeTkHub/GazeTkHub.pro
+++ b/GazeTkHub/GazeTkHub.pro
@@ -2,19 +2,22 @@ TEMPLATE = subdirs
 
 # build must be last:
 CONFIG += ordered
-SUBDIRS +=  \
+SUBDIRS =  \
             GazeTkLib \
             Hub \
-    				Plugins/DeviceEyetrackerDummy \
-    				Plugins/DeviceEyetrackerTobii
+            Plugins/DeviceEyetrackerDummy \
+            Plugins/DeviceEyetrackerTobii
 
-# where to find the sub projects - give the folders
+# Specify sub project locations
 GazeTkLib.subdir = GazeTkLib
 Hub.subdir  = Hub
 DeviceEyetrackerDummy.subdir=Plugins/DeviceEyetrackerDummy
+DeviceEyetrackerTobii.subdir=Plugins/DeviceEyetrackerTobii
+
+# Specify dependencies
+Hub.depends = GazeTkLib
+DeviceEyetrackerDummy.depends = GazeTkLib
 
-# Use .depends to specify that a project depends on another.
-Hub.depends = GazeTkLib DeviceEyetrackerDummy DeviceEyetrackerTobii
 
 
 
diff --git a/GazeTkHub/GazeTkHub.pro.user b/GazeTkHub/GazeTkHub.pro.user
index aeafcc4..83d580a 100644
--- a/GazeTkHub/GazeTkHub.pro.user
+++ b/GazeTkHub/GazeTkHub.pro.user
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE QtCreatorProject>
-<!-- Written by QtCreator 3.5.1, 2015-10-27T14:42:50. -->
+<!-- Written by QtCreator 3.5.1, 2015-12-08T14:59:35. -->
 <qtcreator>
  <data>
   <variable>EnvironmentId</variable>
@@ -89,7 +89,17 @@
       <value type="QString" key="Qt4ProjectManager.MakeStep.MakeArguments"></value>
       <value type="QString" key="Qt4ProjectManager.MakeStep.MakeCommand"></value>
      </valuemap>
-     <value type="int" key="ProjectExplorer.BuildStepList.StepsCount">2</value>
+     <valuemap type="QVariantMap" key="ProjectExplorer.BuildStepList.Step.2">
+      <value type="bool" key="ProjectExplorer.BuildStep.Enabled">true</value>
+      <value type="QString" key="ProjectExplorer.ProjectConfiguration.DefaultDisplayName">Make</value>
+      <value type="QString" key="ProjectExplorer.ProjectConfiguration.DisplayName"></value>
+      <value type="QString" key="ProjectExplorer.ProjectConfiguration.Id">Qt4ProjectManager.MakeStep</value>
+      <valuelist type="QVariantList" key="Qt4ProjectManager.MakeStep.AutomaticallyAddedMakeArguments"/>
+      <value type="bool" key="Qt4ProjectManager.MakeStep.Clean">false</value>
+      <value type="QString" key="Qt4ProjectManager.MakeStep.MakeArguments">install</value>
+      <value type="QString" key="Qt4ProjectManager.MakeStep.MakeCommand"></value>
+     </valuemap>
+     <value type="int" key="ProjectExplorer.BuildStepList.StepsCount">3</value>
      <value type="QString" key="ProjectExplorer.ProjectConfiguration.DefaultDisplayName">Build</value>
      <value type="QString" key="ProjectExplorer.ProjectConfiguration.DisplayName"></value>
      <value type="QString" key="ProjectExplorer.ProjectConfiguration.Id">ProjectExplorer.BuildSteps.Build</value>
@@ -174,7 +184,62 @@
     <value type="int" key="Qt4ProjectManager.Qt4BuildConfiguration.BuildConfiguration">0</value>
     <value type="bool" key="Qt4ProjectManager.Qt4BuildConfiguration.UseShadowBuild">true</value>
    </valuemap>
-   <value type="int" key="ProjectExplorer.Target.BuildConfigurationCount">2</value>
+   <valuemap type="QVariantMap" key="ProjectExplorer.Target.BuildConfiguration.2">
+    <value type="QString" key="ProjectExplorer.BuildConfiguration.BuildDirectory">D:/Entwicklung/CITEC.OpenSource/GazeTK/gazetk/GazeTkHub</value>
+    <valuemap type="QVariantMap" key="ProjectExplorer.BuildConfiguration.BuildStepList.0">
+     <valuemap type="QVariantMap" key="ProjectExplorer.BuildStepList.Step.0">
+      <value type="bool" key="ProjectExplorer.BuildStep.Enabled">true</value>
+      <value type="QString" key="ProjectExplorer.ProjectConfiguration.DefaultDisplayName">qmake</value>
+      <value type="QString" key="ProjectExplorer.ProjectConfiguration.DisplayName"></value>
+      <value type="QString" key="ProjectExplorer.ProjectConfiguration.Id">QtProjectManager.QMakeBuildStep</value>
+      <value type="bool" key="QtProjectManager.QMakeBuildStep.LinkQmlDebuggingLibrary">false</value>
+      <value type="bool" key="QtProjectManager.QMakeBuildStep.LinkQmlDebuggingLibraryAuto">true</value>
+      <value type="QString" key="QtProjectManager.QMakeBuildStep.QMakeArguments">install</value>
+      <value type="bool" key="QtProjectManager.QMakeBuildStep.QMakeForced">false</value>
+      <value type="bool" key="QtProjectManager.QMakeBuildStep.SeparateDebugInfo">false</value>
+      <value type="bool" key="QtProjectManager.QMakeBuildStep.UseQtQuickCompiler">false</value>
+     </valuemap>
+     <valuemap type="QVariantMap" key="ProjectExplorer.BuildStepList.Step.1">
+      <value type="bool" key="ProjectExplorer.BuildStep.Enabled">true</value>
+      <value type="QString" key="ProjectExplorer.ProjectConfiguration.DefaultDisplayName">Make</value>
+      <value type="QString" key="ProjectExplorer.ProjectConfiguration.DisplayName"></value>
+      <value type="QString" key="ProjectExplorer.ProjectConfiguration.Id">Qt4ProjectManager.MakeStep</value>
+      <valuelist type="QVariantList" key="Qt4ProjectManager.MakeStep.AutomaticallyAddedMakeArguments"/>
+      <value type="bool" key="Qt4ProjectManager.MakeStep.Clean">false</value>
+      <value type="QString" key="Qt4ProjectManager.MakeStep.MakeArguments"></value>
+      <value type="QString" key="Qt4ProjectManager.MakeStep.MakeCommand"></value>
+     </valuemap>
+     <value type="int" key="ProjectExplorer.BuildStepList.StepsCount">2</value>
+     <value type="QString" key="ProjectExplorer.ProjectConfiguration.DefaultDisplayName">Build</value>
+     <value type="QString" key="ProjectExplorer.ProjectConfiguration.DisplayName"></value>
+     <value type="QString" key="ProjectExplorer.ProjectConfiguration.Id">ProjectExplorer.BuildSteps.Build</value>
+    </valuemap>
+    <valuemap type="QVariantMap" key="ProjectExplorer.BuildConfiguration.BuildStepList.1">
+     <valuemap type="QVariantMap" key="ProjectExplorer.BuildStepList.Step.0">
+      <value type="bool" key="ProjectExplorer.BuildStep.Enabled">true</value>
+      <value type="QString" key="ProjectExplorer.ProjectConfiguration.DefaultDisplayName">Make</value>
+      <value type="QString" key="ProjectExplorer.ProjectConfiguration.DisplayName"></value>
+      <value type="QString" key="ProjectExplorer.ProjectConfiguration.Id">Qt4ProjectManager.MakeStep</value>
+      <valuelist type="QVariantList" key="Qt4ProjectManager.MakeStep.AutomaticallyAddedMakeArguments"/>
+      <value type="bool" key="Qt4ProjectManager.MakeStep.Clean">true</value>
+      <value type="QString" key="Qt4ProjectManager.MakeStep.MakeArguments">clean</value>
+      <value type="QString" key="Qt4ProjectManager.MakeStep.MakeCommand"></value>
+     </valuemap>
+     <value type="int" key="ProjectExplorer.BuildStepList.StepsCount">1</value>
+     <value type="QString" key="ProjectExplorer.ProjectConfiguration.DefaultDisplayName">Bereinigen</value>
+     <value type="QString" key="ProjectExplorer.ProjectConfiguration.DisplayName"></value>
+     <value type="QString" key="ProjectExplorer.ProjectConfiguration.Id">ProjectExplorer.BuildSteps.Clean</value>
+    </valuemap>
+    <value type="int" key="ProjectExplorer.BuildConfiguration.BuildStepListCount">2</value>
+    <value type="bool" key="ProjectExplorer.BuildConfiguration.ClearSystemEnvironment">false</value>
+    <valuelist type="QVariantList" key="ProjectExplorer.BuildConfiguration.UserEnvironmentChanges"/>
+    <value type="QString" key="ProjectExplorer.ProjectConfiguration.DefaultDisplayName">install</value>
+    <value type="QString" key="ProjectExplorer.ProjectConfiguration.DisplayName"></value>
+    <value type="QString" key="ProjectExplorer.ProjectConfiguration.Id">Qt4ProjectManager.Qt4BuildConfiguration</value>
+    <value type="int" key="Qt4ProjectManager.Qt4BuildConfiguration.BuildConfiguration">2</value>
+    <value type="bool" key="Qt4ProjectManager.Qt4BuildConfiguration.UseShadowBuild">true</value>
+   </valuemap>
+   <value type="int" key="ProjectExplorer.Target.BuildConfigurationCount">3</value>
    <valuemap type="QVariantMap" key="ProjectExplorer.Target.DeployConfiguration.0">
     <valuemap type="QVariantMap" key="ProjectExplorer.BuildConfiguration.BuildStepList.0">
      <value type="int" key="ProjectExplorer.BuildStepList.StepsCount">0</value>
diff --git a/GazeTkHub/GazeTkLib/GazeTkLib.pro b/GazeTkHub/GazeTkLib/GazeTkLib.pro
index 294bfda..c486d3d 100644
--- a/GazeTkHub/GazeTkLib/GazeTkLib.pro
+++ b/GazeTkHub/GazeTkLib/GazeTkLib.pro
@@ -8,18 +8,36 @@
     error( "Couldn't find the common.pri file!" )
 }
 
-QT       += network xml multimedia
-QT       -= gui
+QT       += network xml multimedia widgets core gui
+#QT       -= gui
 
 INCLUDEPATH += include
 
 TARGET = GazeTkLib
 TEMPLATE = lib
 CONFIG += staticlib
+CONFIG += create_prl link_prl
 
-SOURCES += src/gazetklib.cpp
+DESTDIR = $${DESTDIR}/lib
+
+SOURCES += src/gazetklib.cpp \
+    src/pluginloader.cpp
+
+HEADERS += include/GazeTkLib.h \
+    include/gazetkinterfaces.h \
+    include/pluginloader.h
+
+# The following code did not work under Windows with different configurations
+#headers.files = $$HEADERS
+#headers.path = D:\include
+#INSTALLS += headers
+
+QMAKE_EXTRA_TARGETS += copyheaders
+POST_TARGETDEPS += copyheaders
+
+copyheaders.commands += mkdir "$$shell_path($${DESTDIR}/../include)" & mkdir "$$shell_path($${DESTDIR}/../include/GazeTkLib)" &
+copyheaders.commands += copy /Y "$$shell_path($${PWD}/include/*.h)" "$$shell_path($${DESTDIR}/../include/GazeTkLib)"
 
-HEADERS += include/GazeTkLib.h
 unix {
     target.path = /usr/lib
     INSTALLS += target
diff --git a/GazeTkHub/GazeTkLib/include/GazeTkLib.h b/GazeTkHub/GazeTkLib/include/GazeTkLib.h
index ee82cb9..b72cb2d 100644
--- a/GazeTkHub/GazeTkLib/include/GazeTkLib.h
+++ b/GazeTkHub/GazeTkLib/include/GazeTkLib.h
@@ -1,7 +1,8 @@
 #ifndef GAZETKLIB_H
 #define GAZETKLIB_H
 
-
+namespace gazetk
+{
 class GazeTkLib
 {
 
@@ -9,4 +10,6 @@ public:
     GazeTkLib();
 };
 
+} // namespace gazetk
+
 #endif // GAZETKLIB_H
diff --git a/GazeTkHub/GazeTkLib/include/gazetkinterfaces.h b/GazeTkHub/GazeTkLib/include/gazetkinterfaces.h
new file mode 100644
index 0000000..1a45944
--- /dev/null
+++ b/GazeTkHub/GazeTkLib/include/gazetkinterfaces.h
@@ -0,0 +1,28 @@
+#ifndef GAZETKINTERFACES_H
+#define GAZETKINTERFACES_H
+
+#include <QtPlugin>
+
+namespace gazetk
+{
+/**
+ * @brief The PluginInterface class
+ *
+ * This is the plugin interface that describes the contract the different plugins with
+ * which GazeTkHub can be extended has to meet.
+ */
+class PluginInterface
+{
+public:
+    virtual ~PluginInterface() {}
+
+    virtual void postMessage() = 0;
+};
+
+} // namespace gazetk
+
+#define PluginInterface_iid "com.eyemovementresearch.gazetk.PluginInterface/1.0"
+Q_DECLARE_INTERFACE(gazetk::PluginInterface, PluginInterface_iid)
+
+#endif // GAZETKINTERFACES_H
+
diff --git a/GazeTkHub/GazeTkLib/include/pluginloader.h b/GazeTkHub/GazeTkLib/include/pluginloader.h
new file mode 100644
index 0000000..278a82e
--- /dev/null
+++ b/GazeTkHub/GazeTkLib/include/pluginloader.h
@@ -0,0 +1,29 @@
+#ifndef PLUGINLOADER_H
+#define PLUGINLOADER_H
+
+#include <QObject>
+#include <QStringList>
+
+namespace gazetk
+{
+
+class PluginLoader
+{
+public:
+    PluginLoader();
+
+    void loadPlugins();
+
+    static PluginLoader* instance();
+
+private:
+    static PluginLoader* _instance;
+
+    void handlePlugin( QObject *plugin );
+
+    QStringList pluginFileNames;
+};
+
+} // namespace gazetk
+
+#endif // PLUGINLOADER_H
diff --git a/GazeTkHub/GazeTkLib/src/gazetklib.cpp b/GazeTkHub/GazeTkLib/src/gazetklib.cpp
index 350eea3..43214f8 100644
--- a/GazeTkHub/GazeTkLib/src/gazetklib.cpp
+++ b/GazeTkHub/GazeTkLib/src/gazetklib.cpp
@@ -1,6 +1,11 @@
 #include "GazeTkLib.h"
 
 
+namespace gazetk
+{
+
 GazeTkLib::GazeTkLib()
 {
 }
+
+} // namespace gazetk
diff --git a/GazeTkHub/GazeTkLib/src/pluginloader.cpp b/GazeTkHub/GazeTkLib/src/pluginloader.cpp
new file mode 100644
index 0000000..aa4a546
--- /dev/null
+++ b/GazeTkHub/GazeTkLib/src/pluginloader.cpp
@@ -0,0 +1,76 @@
+#include "pluginloader.h"
+
+#include <QDebug>
+#include <QDir>
+#include <QPluginLoader>
+#include <QApplication>
+
+#include "gazetkinterfaces.h"
+
+namespace gazetk
+{
+
+PluginLoader* PluginLoader::_instance = 0;
+
+PluginLoader* PluginLoader::instance()
+{
+    if( _instance == 0 )
+        _instance = new PluginLoader();
+
+    return _instance;
+}
+
+
+PluginLoader::PluginLoader()
+{
+
+}
+
+void PluginLoader::loadPlugins()
+{
+    qDebug() << "Loading available plugins...";
+    // Handling plugins that are statically linked
+    foreach (QObject *plugin, QPluginLoader::staticInstances())
+        handlePlugin(plugin);
+
+    // Handling dynamic plugins
+    QDir pluginsDir = QDir(qApp->applicationDirPath());
+
+#if defined(Q_OS_WIN)
+    //if (pluginsDir.dirName().toLower() == "debug" || pluginsDir.dirName().toLower() == "release")
+    //    pluginsDir.cdUp();
+#elif defined(Q_OS_MAC)
+    if (pluginsDir.dirName() == "MacOS") {
+        pluginsDir.cdUp();
+        pluginsDir.cdUp();
+        pluginsDir.cdUp();
+    }
+#endif
+    pluginsDir.cd("plugins");
+
+    qDebug() << "   from directory " << pluginsDir.absolutePath();
+
+    foreach (QString fileName, pluginsDir.entryList(QDir::Files)) {
+            QPluginLoader loader(pluginsDir.absoluteFilePath(fileName));
+            QObject *plugin = loader.instance();
+            if (plugin) {
+                handlePlugin(plugin);
+                pluginFileNames += fileName;
+                qDebug() << "    adding plugin: " << fileName;
+            }
+        }
+}
+
+
+
+void PluginLoader::handlePlugin(QObject *plugin)
+{
+    gazetk::PluginInterface *iPlugin = qobject_cast<gazetk::PluginInterface *>(plugin);
+    if (iPlugin) // Found a plugin...
+        return;
+    return;
+}
+
+
+
+} // namespace gazetk
diff --git a/GazeTkHub/Hub/Hub.pro b/GazeTkHub/Hub/Hub.pro
index 99d9fa5..7c169f0 100644
--- a/GazeTkHub/Hub/Hub.pro
+++ b/GazeTkHub/Hub/Hub.pro
@@ -4,12 +4,22 @@
 }
 
 TEMPLATE = app
+CONFIG += GazeTkLib
+CONFIG += link_prl
 
-SOURCES += src/main.cpp
+QT += core gui widgets
 
-#LIBS += -L../GazeTkLib -lGazeTkLib
+INCLUDEPATH += ../GazeTkLib/include
 
-CONFIG += GazeTkLib
+SOURCES += src/main.cpp \
+    src/mainwindow.cpp
+
+LIBS += -lGazeTkLib
+DESTDIR = $${DESTDIR}/bin
 
 # Will build the final executable in the main project directory.
 TARGET = GazeTkHub
+FORMS += \
+    src/mainwindow.ui
+HEADERS += \
+    src/mainwindow.h
diff --git a/GazeTkHub/Hub/src/main.cpp b/GazeTkHub/Hub/src/main.cpp
index 3bcf89d..5228099 100644
--- a/GazeTkHub/Hub/src/main.cpp
+++ b/GazeTkHub/Hub/src/main.cpp
@@ -1,7 +1,12 @@
 #include <iostream>
+#include <QApplication>
+#include "mainwindow.h"
 
 using namespace std;
 
-void main( ) {
-    cout << "Hello World!" << endl;
+int main( int argc, char** argv ) {
+    QApplication app(argc, argv);
+    MainWindow window;
+    window.show();
+    return app.exec();
 }
diff --git a/GazeTkHub/Hub/src/mainwindow.cpp b/GazeTkHub/Hub/src/mainwindow.cpp
new file mode 100644
index 0000000..1b1aa2a
--- /dev/null
+++ b/GazeTkHub/Hub/src/mainwindow.cpp
@@ -0,0 +1,18 @@
+#include "mainwindow.h"
+#include "ui_mainwindow.h"
+#include "pluginloader.h"
+
+#include <QtDebug>
+
+MainWindow::MainWindow(QWidget *parent) :
+    QMainWindow(parent),
+    ui(new Ui::MainWindow)
+{
+    ui->setupUi(this);
+    gazetk::PluginLoader::instance()->loadPlugins();
+}
+
+MainWindow::~MainWindow()
+{
+    delete ui;
+}
diff --git a/GazeTkHub/Hub/src/mainwindow.h b/GazeTkHub/Hub/src/mainwindow.h
new file mode 100644
index 0000000..84a3701
--- /dev/null
+++ b/GazeTkHub/Hub/src/mainwindow.h
@@ -0,0 +1,24 @@
+#ifndef MAINWINDOW_H
+#define MAINWINDOW_H
+
+#include <QGenericPlugin>
+#include <QMainWindow>
+
+
+namespace Ui {
+class MainWindow;
+}
+
+class MainWindow : public QMainWindow
+{
+    Q_OBJECT
+
+public:
+    explicit MainWindow(QWidget *parent = 0);
+    ~MainWindow();
+
+private:
+    Ui::MainWindow *ui;
+};
+
+#endif // MAINWINDOW_H
diff --git a/GazeTkHub/Hub/src/mainwindow.ui b/GazeTkHub/Hub/src/mainwindow.ui
new file mode 100644
index 0000000..0e5f875
--- /dev/null
+++ b/GazeTkHub/Hub/src/mainwindow.ui
@@ -0,0 +1,24 @@
+<ui version="4.0">
+ <author/>
+ <comment/>
+ <exportmacro/>
+ <class>MainWindow</class>
+ <widget class="QMainWindow" name="MainWindow">
+  <property name="geometry">
+   <rect>
+    <x>0</x>
+    <y>0</y>
+    <width>800</width>
+    <height>600</height>
+   </rect>
+  </property>
+  <property name="windowTitle">
+   <string>MainWindow</string>
+  </property>
+  <widget class="QMenuBar" name="menubar"/>
+  <widget class="QWidget" name="centralwidget"/>
+  <widget class="QStatusBar" name="statusbar"/>
+ </widget>
+ <pixmapfunction/>
+ <connections/>
+</ui>
diff --git a/GazeTkHub/Makefile b/GazeTkHub/Makefile
new file mode 100644
index 0000000..ad92495
--- /dev/null
+++ b/GazeTkHub/Makefile
@@ -0,0 +1,606 @@
+#############################################################################
+# Makefile for building: GazeTkHub
+# Generated by qmake (3.0) (Qt 5.5.1)
+# Project:  GazeTkHub.pro
+# Template: subdirs
+# Command: D:\Develop\Qt\5.5\msvc2013\bin\qmake.exe -spec win32-msvc2013 "CONFIG+=debug" -o Makefile GazeTkHub.pro
+#############################################################################
+
+MAKEFILE      = Makefile
+
+first: make_first
+QMAKE         = D:\Develop\Qt\5.5\msvc2013\bin\qmake.exe
+DEL_FILE      = del
+CHK_DIR_EXISTS= if not exist
+MKDIR         = mkdir
+COPY          = copy /y
+COPY_FILE     = copy /y
+COPY_DIR      = xcopy /s /q /y /i
+INSTALL_FILE  = copy /y
+INSTALL_PROGRAM = copy /y
+INSTALL_DIR   = xcopy /s /q /y /i
+DEL_FILE      = del
+SYMLINK       = $(QMAKE) -install ln -f -s
+DEL_DIR       = rmdir
+MOVE          = move
+SUBTARGETS    =  \
+		sub-GazeTkLib \
+		sub-Hub \
+		sub-Plugins-DeviceEyetrackerDummy \
+		sub-Plugins-DeviceEyetrackerTobii
+
+
+sub-GazeTkLib-qmake_all:  FORCE
+	@if not exist GazeTkLib\ mkdir GazeTkLib\ & if not exist GazeTkLib\ exit 1
+	cd GazeTkLib\ && $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\GazeTkLib\GazeTkLib.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd GazeTkLib\ && $(MAKE) -f Makefile qmake_all
+sub-GazeTkLib: FORCE
+	@if not exist GazeTkLib\ mkdir GazeTkLib\ & if not exist GazeTkLib\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd GazeTkLib\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\GazeTkLib\GazeTkLib.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile
+sub-GazeTkLib-make_first-ordered: FORCE
+	@if not exist GazeTkLib\ mkdir GazeTkLib\ & if not exist GazeTkLib\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd GazeTkLib\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\GazeTkLib\GazeTkLib.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile 
+sub-GazeTkLib-make_first: FORCE
+	@if not exist GazeTkLib\ mkdir GazeTkLib\ & if not exist GazeTkLib\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd GazeTkLib\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\GazeTkLib\GazeTkLib.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile 
+sub-GazeTkLib-all-ordered: FORCE
+	@if not exist GazeTkLib\ mkdir GazeTkLib\ & if not exist GazeTkLib\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd GazeTkLib\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\GazeTkLib\GazeTkLib.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile all
+sub-GazeTkLib-all: FORCE
+	@if not exist GazeTkLib\ mkdir GazeTkLib\ & if not exist GazeTkLib\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd GazeTkLib\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\GazeTkLib\GazeTkLib.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile all
+sub-GazeTkLib-clean-ordered: FORCE
+	@if not exist GazeTkLib\ mkdir GazeTkLib\ & if not exist GazeTkLib\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd GazeTkLib\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\GazeTkLib\GazeTkLib.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile clean
+sub-GazeTkLib-clean: FORCE
+	@if not exist GazeTkLib\ mkdir GazeTkLib\ & if not exist GazeTkLib\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd GazeTkLib\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\GazeTkLib\GazeTkLib.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile clean
+sub-GazeTkLib-distclean-ordered: FORCE
+	@if not exist GazeTkLib\ mkdir GazeTkLib\ & if not exist GazeTkLib\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd GazeTkLib\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\GazeTkLib\GazeTkLib.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile distclean
+sub-GazeTkLib-distclean: FORCE
+	@if not exist GazeTkLib\ mkdir GazeTkLib\ & if not exist GazeTkLib\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd GazeTkLib\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\GazeTkLib\GazeTkLib.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile distclean
+sub-GazeTkLib-install_subtargets-ordered: FORCE
+	@if not exist GazeTkLib\ mkdir GazeTkLib\ & if not exist GazeTkLib\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd GazeTkLib\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\GazeTkLib\GazeTkLib.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile install
+sub-GazeTkLib-install_subtargets: FORCE
+	@if not exist GazeTkLib\ mkdir GazeTkLib\ & if not exist GazeTkLib\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd GazeTkLib\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\GazeTkLib\GazeTkLib.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile install
+sub-GazeTkLib-uninstall_subtargets-ordered: FORCE
+	@if not exist GazeTkLib\ mkdir GazeTkLib\ & if not exist GazeTkLib\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd GazeTkLib\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\GazeTkLib\GazeTkLib.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile uninstall
+sub-GazeTkLib-uninstall_subtargets: FORCE
+	@if not exist GazeTkLib\ mkdir GazeTkLib\ & if not exist GazeTkLib\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd GazeTkLib\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\GazeTkLib\GazeTkLib.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile uninstall
+sub-Hub-qmake_all: sub-GazeTkLib-qmake_all FORCE
+	@if not exist Hub\ mkdir Hub\ & if not exist Hub\ exit 1
+	cd Hub\ && $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Hub\Hub.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Hub\ && $(MAKE) -f Makefile qmake_all
+sub-Hub: sub-GazeTkLib FORCE
+	@if not exist Hub\ mkdir Hub\ & if not exist Hub\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Hub\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Hub\Hub.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile
+sub-Hub-make_first-ordered: sub-GazeTkLib-make_first-ordered  FORCE
+	@if not exist Hub\ mkdir Hub\ & if not exist Hub\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Hub\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Hub\Hub.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile 
+sub-Hub-make_first: sub-GazeTkLib-make_first FORCE
+	@if not exist Hub\ mkdir Hub\ & if not exist Hub\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Hub\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Hub\Hub.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile 
+sub-Hub-all-ordered: sub-GazeTkLib-all-ordered  FORCE
+	@if not exist Hub\ mkdir Hub\ & if not exist Hub\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Hub\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Hub\Hub.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile all
+sub-Hub-all: sub-GazeTkLib-all FORCE
+	@if not exist Hub\ mkdir Hub\ & if not exist Hub\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Hub\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Hub\Hub.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile all
+sub-Hub-clean-ordered: sub-GazeTkLib-clean-ordered  FORCE
+	@if not exist Hub\ mkdir Hub\ & if not exist Hub\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Hub\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Hub\Hub.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile clean
+sub-Hub-clean: sub-GazeTkLib-clean FORCE
+	@if not exist Hub\ mkdir Hub\ & if not exist Hub\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Hub\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Hub\Hub.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile clean
+sub-Hub-distclean-ordered: sub-GazeTkLib-distclean-ordered  FORCE
+	@if not exist Hub\ mkdir Hub\ & if not exist Hub\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Hub\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Hub\Hub.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile distclean
+sub-Hub-distclean: sub-GazeTkLib-distclean FORCE
+	@if not exist Hub\ mkdir Hub\ & if not exist Hub\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Hub\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Hub\Hub.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile distclean
+sub-Hub-install_subtargets-ordered: sub-GazeTkLib-install_subtargets-ordered  FORCE
+	@if not exist Hub\ mkdir Hub\ & if not exist Hub\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Hub\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Hub\Hub.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile install
+sub-Hub-install_subtargets: sub-GazeTkLib-install_subtargets FORCE
+	@if not exist Hub\ mkdir Hub\ & if not exist Hub\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Hub\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Hub\Hub.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile install
+sub-Hub-uninstall_subtargets-ordered: sub-GazeTkLib-uninstall_subtargets-ordered  FORCE
+	@if not exist Hub\ mkdir Hub\ & if not exist Hub\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Hub\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Hub\Hub.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile uninstall
+sub-Hub-uninstall_subtargets: sub-GazeTkLib-uninstall_subtargets FORCE
+	@if not exist Hub\ mkdir Hub\ & if not exist Hub\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Hub\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Hub\Hub.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile uninstall
+sub-Plugins-DeviceEyetrackerDummy-qmake_all: sub-Hub-qmake_all FORCE
+	@if not exist Plugins\DeviceEyetrackerDummy\ mkdir Plugins\DeviceEyetrackerDummy\ & if not exist Plugins\DeviceEyetrackerDummy\ exit 1
+	cd Plugins\DeviceEyetrackerDummy\ && $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerDummy\DeviceEyetrackerDummy.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerDummy\ && $(MAKE) -f Makefile qmake_all
+sub-Plugins-DeviceEyetrackerDummy: FORCE
+	@if not exist Plugins\DeviceEyetrackerDummy\ mkdir Plugins\DeviceEyetrackerDummy\ & if not exist Plugins\DeviceEyetrackerDummy\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerDummy\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerDummy\DeviceEyetrackerDummy.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile
+sub-Plugins-DeviceEyetrackerDummy-make_first-ordered: sub-Hub-make_first-ordered  FORCE
+	@if not exist Plugins\DeviceEyetrackerDummy\ mkdir Plugins\DeviceEyetrackerDummy\ & if not exist Plugins\DeviceEyetrackerDummy\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerDummy\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerDummy\DeviceEyetrackerDummy.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile 
+sub-Plugins-DeviceEyetrackerDummy-make_first: FORCE
+	@if not exist Plugins\DeviceEyetrackerDummy\ mkdir Plugins\DeviceEyetrackerDummy\ & if not exist Plugins\DeviceEyetrackerDummy\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerDummy\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerDummy\DeviceEyetrackerDummy.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile 
+sub-Plugins-DeviceEyetrackerDummy-all-ordered: sub-Hub-all-ordered  FORCE
+	@if not exist Plugins\DeviceEyetrackerDummy\ mkdir Plugins\DeviceEyetrackerDummy\ & if not exist Plugins\DeviceEyetrackerDummy\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerDummy\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerDummy\DeviceEyetrackerDummy.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile all
+sub-Plugins-DeviceEyetrackerDummy-all: FORCE
+	@if not exist Plugins\DeviceEyetrackerDummy\ mkdir Plugins\DeviceEyetrackerDummy\ & if not exist Plugins\DeviceEyetrackerDummy\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerDummy\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerDummy\DeviceEyetrackerDummy.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile all
+sub-Plugins-DeviceEyetrackerDummy-clean-ordered: sub-Hub-clean-ordered  FORCE
+	@if not exist Plugins\DeviceEyetrackerDummy\ mkdir Plugins\DeviceEyetrackerDummy\ & if not exist Plugins\DeviceEyetrackerDummy\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerDummy\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerDummy\DeviceEyetrackerDummy.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile clean
+sub-Plugins-DeviceEyetrackerDummy-clean: FORCE
+	@if not exist Plugins\DeviceEyetrackerDummy\ mkdir Plugins\DeviceEyetrackerDummy\ & if not exist Plugins\DeviceEyetrackerDummy\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerDummy\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerDummy\DeviceEyetrackerDummy.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile clean
+sub-Plugins-DeviceEyetrackerDummy-distclean-ordered: sub-Hub-distclean-ordered  FORCE
+	@if not exist Plugins\DeviceEyetrackerDummy\ mkdir Plugins\DeviceEyetrackerDummy\ & if not exist Plugins\DeviceEyetrackerDummy\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerDummy\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerDummy\DeviceEyetrackerDummy.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile distclean
+sub-Plugins-DeviceEyetrackerDummy-distclean: FORCE
+	@if not exist Plugins\DeviceEyetrackerDummy\ mkdir Plugins\DeviceEyetrackerDummy\ & if not exist Plugins\DeviceEyetrackerDummy\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerDummy\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerDummy\DeviceEyetrackerDummy.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile distclean
+sub-Plugins-DeviceEyetrackerDummy-install_subtargets-ordered: sub-Hub-install_subtargets-ordered  FORCE
+	@if not exist Plugins\DeviceEyetrackerDummy\ mkdir Plugins\DeviceEyetrackerDummy\ & if not exist Plugins\DeviceEyetrackerDummy\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerDummy\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerDummy\DeviceEyetrackerDummy.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile install
+sub-Plugins-DeviceEyetrackerDummy-install_subtargets: FORCE
+	@if not exist Plugins\DeviceEyetrackerDummy\ mkdir Plugins\DeviceEyetrackerDummy\ & if not exist Plugins\DeviceEyetrackerDummy\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerDummy\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerDummy\DeviceEyetrackerDummy.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile install
+sub-Plugins-DeviceEyetrackerDummy-uninstall_subtargets-ordered: sub-Hub-uninstall_subtargets-ordered  FORCE
+	@if not exist Plugins\DeviceEyetrackerDummy\ mkdir Plugins\DeviceEyetrackerDummy\ & if not exist Plugins\DeviceEyetrackerDummy\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerDummy\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerDummy\DeviceEyetrackerDummy.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile uninstall
+sub-Plugins-DeviceEyetrackerDummy-uninstall_subtargets: FORCE
+	@if not exist Plugins\DeviceEyetrackerDummy\ mkdir Plugins\DeviceEyetrackerDummy\ & if not exist Plugins\DeviceEyetrackerDummy\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerDummy\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerDummy\DeviceEyetrackerDummy.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile uninstall
+sub-Plugins-DeviceEyetrackerTobii-qmake_all: sub-Plugins-DeviceEyetrackerDummy-qmake_all FORCE
+	@if not exist Plugins\DeviceEyetrackerTobii\ mkdir Plugins\DeviceEyetrackerTobii\ & if not exist Plugins\DeviceEyetrackerTobii\ exit 1
+	cd Plugins\DeviceEyetrackerTobii\ && $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerTobii\DeviceEyetrackerTobii.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerTobii\ && $(MAKE) -f Makefile qmake_all
+sub-Plugins-DeviceEyetrackerTobii: FORCE
+	@if not exist Plugins\DeviceEyetrackerTobii\ mkdir Plugins\DeviceEyetrackerTobii\ & if not exist Plugins\DeviceEyetrackerTobii\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerTobii\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerTobii\DeviceEyetrackerTobii.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile
+sub-Plugins-DeviceEyetrackerTobii-make_first-ordered: sub-Plugins-DeviceEyetrackerDummy-make_first-ordered  FORCE
+	@if not exist Plugins\DeviceEyetrackerTobii\ mkdir Plugins\DeviceEyetrackerTobii\ & if not exist Plugins\DeviceEyetrackerTobii\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerTobii\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerTobii\DeviceEyetrackerTobii.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile 
+sub-Plugins-DeviceEyetrackerTobii-make_first: FORCE
+	@if not exist Plugins\DeviceEyetrackerTobii\ mkdir Plugins\DeviceEyetrackerTobii\ & if not exist Plugins\DeviceEyetrackerTobii\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerTobii\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerTobii\DeviceEyetrackerTobii.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile 
+sub-Plugins-DeviceEyetrackerTobii-all-ordered: sub-Plugins-DeviceEyetrackerDummy-all-ordered  FORCE
+	@if not exist Plugins\DeviceEyetrackerTobii\ mkdir Plugins\DeviceEyetrackerTobii\ & if not exist Plugins\DeviceEyetrackerTobii\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerTobii\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerTobii\DeviceEyetrackerTobii.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile all
+sub-Plugins-DeviceEyetrackerTobii-all: FORCE
+	@if not exist Plugins\DeviceEyetrackerTobii\ mkdir Plugins\DeviceEyetrackerTobii\ & if not exist Plugins\DeviceEyetrackerTobii\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerTobii\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerTobii\DeviceEyetrackerTobii.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile all
+sub-Plugins-DeviceEyetrackerTobii-clean-ordered: sub-Plugins-DeviceEyetrackerDummy-clean-ordered  FORCE
+	@if not exist Plugins\DeviceEyetrackerTobii\ mkdir Plugins\DeviceEyetrackerTobii\ & if not exist Plugins\DeviceEyetrackerTobii\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerTobii\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerTobii\DeviceEyetrackerTobii.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile clean
+sub-Plugins-DeviceEyetrackerTobii-clean: FORCE
+	@if not exist Plugins\DeviceEyetrackerTobii\ mkdir Plugins\DeviceEyetrackerTobii\ & if not exist Plugins\DeviceEyetrackerTobii\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerTobii\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerTobii\DeviceEyetrackerTobii.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile clean
+sub-Plugins-DeviceEyetrackerTobii-distclean-ordered: sub-Plugins-DeviceEyetrackerDummy-distclean-ordered  FORCE
+	@if not exist Plugins\DeviceEyetrackerTobii\ mkdir Plugins\DeviceEyetrackerTobii\ & if not exist Plugins\DeviceEyetrackerTobii\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerTobii\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerTobii\DeviceEyetrackerTobii.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile distclean
+sub-Plugins-DeviceEyetrackerTobii-distclean: FORCE
+	@if not exist Plugins\DeviceEyetrackerTobii\ mkdir Plugins\DeviceEyetrackerTobii\ & if not exist Plugins\DeviceEyetrackerTobii\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerTobii\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerTobii\DeviceEyetrackerTobii.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile distclean
+sub-Plugins-DeviceEyetrackerTobii-install_subtargets-ordered: sub-Plugins-DeviceEyetrackerDummy-install_subtargets-ordered  FORCE
+	@if not exist Plugins\DeviceEyetrackerTobii\ mkdir Plugins\DeviceEyetrackerTobii\ & if not exist Plugins\DeviceEyetrackerTobii\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerTobii\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerTobii\DeviceEyetrackerTobii.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile install
+sub-Plugins-DeviceEyetrackerTobii-install_subtargets: FORCE
+	@if not exist Plugins\DeviceEyetrackerTobii\ mkdir Plugins\DeviceEyetrackerTobii\ & if not exist Plugins\DeviceEyetrackerTobii\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerTobii\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerTobii\DeviceEyetrackerTobii.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile install
+sub-Plugins-DeviceEyetrackerTobii-uninstall_subtargets-ordered: sub-Plugins-DeviceEyetrackerDummy-uninstall_subtargets-ordered  FORCE
+	@if not exist Plugins\DeviceEyetrackerTobii\ mkdir Plugins\DeviceEyetrackerTobii\ & if not exist Plugins\DeviceEyetrackerTobii\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerTobii\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerTobii\DeviceEyetrackerTobii.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile uninstall
+sub-Plugins-DeviceEyetrackerTobii-uninstall_subtargets: FORCE
+	@if not exist Plugins\DeviceEyetrackerTobii\ mkdir Plugins\DeviceEyetrackerTobii\ & if not exist Plugins\DeviceEyetrackerTobii\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerTobii\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerTobii\DeviceEyetrackerTobii.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile uninstall
+
+Makefile: GazeTkHub.pro .qmake.conf D:\Develop\Qt\5.5\msvc2013\mkspecs\win32-msvc2013\qmake.conf D:\Develop\Qt\5.5\msvc2013\mkspecs\features\spec_pre.prf \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\common\msvc-desktop.conf \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\qconfig.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_3dcollision.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_3dcollision_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_3dcore.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_3dcore_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_3dinput.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_3dinput_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_3dlogic.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_3dlogic_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_3dquick.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_3dquick_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_3dquickrenderer.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_3dquickrenderer_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_3drenderer.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_3drenderer_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_axbase.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_axbase_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_axcontainer.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_axcontainer_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_axserver.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_axserver_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_bluetooth.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_bluetooth_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_bootstrap_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_clucene_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_concurrent.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_concurrent_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_core.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_core_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_dbus.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_dbus_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_declarative.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_declarative_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_designer.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_designer_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_designercomponents_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_enginio.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_enginio_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_gui.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_gui_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_help.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_help_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_location.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_location_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_multimedia.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_multimedia_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_multimediawidgets.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_multimediawidgets_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_network.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_network_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_nfc.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_nfc_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_opengl.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_opengl_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_openglextensions.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_openglextensions_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_platformsupport_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_positioning.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_positioning_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_printsupport.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_printsupport_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_qml.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_qml_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_qmldevtools_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_qmltest.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_qmltest_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_qtmultimediaquicktools_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_quick.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_quick_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_quickparticles_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_quickwidgets.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_quickwidgets_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_script.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_script_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_scripttools.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_scripttools_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_sensors.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_sensors_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_serialport.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_serialport_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_sql.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_sql_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_svg.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_svg_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_testlib.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_testlib_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_uiplugin.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_uitools.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_uitools_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_webchannel.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_webchannel_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_webengine.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_webengine_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_webenginecore.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_webenginecore_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_webenginewidgets.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_webenginewidgets_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_webkit.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_webkit_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_webkitwidgets.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_webkitwidgets_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_websockets.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_websockets_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_webview_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_widgets.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_widgets_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_winextras.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_winextras_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_xml.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_xml_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_xmlpatterns.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_xmlpatterns_private.pri \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\features\qt_functions.prf \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\features\qt_config.prf \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\features\win32\qt_config.prf \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\win32-msvc2013\qmake.conf \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\features\spec_post.prf \
+		.qmake.conf \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\features\exclusive_builds.prf \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\features\default_pre.prf \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\features\win32\default_pre.prf \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\features\resolve_config.prf \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\features\exclusive_builds_post.prf \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\features\default_post.prf \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\features\win32\rtti.prf \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\features\c++11.prf \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\features\precompile_header.prf \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\features\warn_on.prf \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\features\win32\windows.prf \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\features\testcase_targets.prf \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\features\exceptions.prf \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\features\yacc.prf \
+		D:\Develop\Qt\5.5\msvc2013\mkspecs\features\lex.prf \
+		GazeTkHub.pro
+	$(QMAKE) -spec win32-msvc2013 "CONFIG+=debug" -o Makefile GazeTkHub.pro
+D:\Develop\Qt\5.5\msvc2013\mkspecs\features\spec_pre.prf:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\common\msvc-desktop.conf:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\qconfig.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_3dcollision.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_3dcollision_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_3dcore.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_3dcore_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_3dinput.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_3dinput_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_3dlogic.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_3dlogic_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_3dquick.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_3dquick_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_3dquickrenderer.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_3dquickrenderer_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_3drenderer.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_3drenderer_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_axbase.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_axbase_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_axcontainer.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_axcontainer_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_axserver.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_axserver_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_bluetooth.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_bluetooth_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_bootstrap_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_clucene_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_concurrent.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_concurrent_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_core.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_core_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_dbus.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_dbus_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_declarative.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_declarative_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_designer.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_designer_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_designercomponents_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_enginio.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_enginio_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_gui.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_gui_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_help.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_help_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_location.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_location_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_multimedia.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_multimedia_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_multimediawidgets.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_multimediawidgets_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_network.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_network_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_nfc.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_nfc_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_opengl.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_opengl_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_openglextensions.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_openglextensions_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_platformsupport_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_positioning.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_positioning_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_printsupport.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_printsupport_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_qml.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_qml_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_qmldevtools_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_qmltest.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_qmltest_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_qtmultimediaquicktools_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_quick.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_quick_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_quickparticles_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_quickwidgets.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_quickwidgets_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_script.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_script_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_scripttools.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_scripttools_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_sensors.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_sensors_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_serialport.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_serialport_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_sql.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_sql_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_svg.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_svg_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_testlib.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_testlib_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_uiplugin.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_uitools.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_uitools_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_webchannel.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_webchannel_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_webengine.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_webengine_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_webenginecore.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_webenginecore_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_webenginewidgets.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_webenginewidgets_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_webkit.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_webkit_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_webkitwidgets.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_webkitwidgets_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_websockets.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_websockets_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_webview_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_widgets.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_widgets_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_winextras.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_winextras_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_xml.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_xml_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_xmlpatterns.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\modules\qt_lib_xmlpatterns_private.pri:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\features\qt_functions.prf:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\features\qt_config.prf:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\features\win32\qt_config.prf:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\win32-msvc2013\qmake.conf:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\features\spec_post.prf:
+.qmake.conf:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\features\exclusive_builds.prf:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\features\default_pre.prf:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\features\win32\default_pre.prf:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\features\resolve_config.prf:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\features\exclusive_builds_post.prf:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\features\default_post.prf:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\features\win32\rtti.prf:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\features\c++11.prf:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\features\precompile_header.prf:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\features\warn_on.prf:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\features\win32\windows.prf:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\features\testcase_targets.prf:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\features\exceptions.prf:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\features\yacc.prf:
+D:\Develop\Qt\5.5\msvc2013\mkspecs\features\lex.prf:
+GazeTkHub.pro:
+qmake: FORCE
+	@$(QMAKE) -spec win32-msvc2013 "CONFIG+=debug" -o Makefile GazeTkHub.pro
+
+qmake_all: sub-GazeTkLib-qmake_all sub-Hub-qmake_all sub-Plugins-DeviceEyetrackerDummy-qmake_all sub-Plugins-DeviceEyetrackerTobii-qmake_all FORCE
+
+make_first: sub-GazeTkLib-make_first-ordered sub-Hub-make_first-ordered sub-Plugins-DeviceEyetrackerDummy-make_first-ordered sub-Plugins-DeviceEyetrackerTobii-make_first-ordered  FORCE
+all: sub-GazeTkLib-all-ordered sub-Hub-all-ordered sub-Plugins-DeviceEyetrackerDummy-all-ordered sub-Plugins-DeviceEyetrackerTobii-all-ordered  FORCE
+clean: sub-GazeTkLib-clean-ordered sub-Hub-clean-ordered sub-Plugins-DeviceEyetrackerDummy-clean-ordered sub-Plugins-DeviceEyetrackerTobii-clean-ordered  FORCE
+distclean: sub-GazeTkLib-distclean-ordered sub-Hub-distclean-ordered sub-Plugins-DeviceEyetrackerDummy-distclean-ordered sub-Plugins-DeviceEyetrackerTobii-distclean-ordered  FORCE
+	-$(DEL_FILE) Makefile
+install_subtargets: sub-GazeTkLib-install_subtargets-ordered sub-Hub-install_subtargets-ordered sub-Plugins-DeviceEyetrackerDummy-install_subtargets-ordered sub-Plugins-DeviceEyetrackerTobii-install_subtargets-ordered FORCE
+uninstall_subtargets: sub-GazeTkLib-uninstall_subtargets-ordered sub-Hub-uninstall_subtargets-ordered sub-Plugins-DeviceEyetrackerDummy-uninstall_subtargets-ordered sub-Plugins-DeviceEyetrackerTobii-uninstall_subtargets-ordered FORCE
+
+sub-GazeTkLib-debug_ordered:
+	@if not exist GazeTkLib\ mkdir GazeTkLib\ & if not exist GazeTkLib\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd GazeTkLib\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\GazeTkLib\GazeTkLib.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile debug
+sub-Hub-debug_ordered: sub-GazeTkLib-debug_ordered 
+	@if not exist Hub\ mkdir Hub\ & if not exist Hub\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Hub\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Hub\Hub.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile debug
+sub-Plugins-DeviceEyetrackerDummy-debug_ordered: sub-Hub-debug_ordered 
+	@if not exist Plugins\DeviceEyetrackerDummy\ mkdir Plugins\DeviceEyetrackerDummy\ & if not exist Plugins\DeviceEyetrackerDummy\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerDummy\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerDummy\DeviceEyetrackerDummy.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile debug
+sub-Plugins-DeviceEyetrackerTobii-debug_ordered: sub-Plugins-DeviceEyetrackerDummy-debug_ordered 
+	@if not exist Plugins\DeviceEyetrackerTobii\ mkdir Plugins\DeviceEyetrackerTobii\ & if not exist Plugins\DeviceEyetrackerTobii\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerTobii\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerTobii\DeviceEyetrackerTobii.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile debug
+debug: sub-GazeTkLib-debug_ordered sub-Hub-debug_ordered sub-Plugins-DeviceEyetrackerDummy-debug_ordered sub-Plugins-DeviceEyetrackerTobii-debug_ordered
+
+sub-GazeTkLib-release_ordered:
+	@if not exist GazeTkLib\ mkdir GazeTkLib\ & if not exist GazeTkLib\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd GazeTkLib\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\GazeTkLib\GazeTkLib.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile release
+sub-Hub-release_ordered: sub-GazeTkLib-release_ordered 
+	@if not exist Hub\ mkdir Hub\ & if not exist Hub\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Hub\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Hub\Hub.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile release
+sub-Plugins-DeviceEyetrackerDummy-release_ordered: sub-Hub-release_ordered 
+	@if not exist Plugins\DeviceEyetrackerDummy\ mkdir Plugins\DeviceEyetrackerDummy\ & if not exist Plugins\DeviceEyetrackerDummy\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerDummy\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerDummy\DeviceEyetrackerDummy.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile release
+sub-Plugins-DeviceEyetrackerTobii-release_ordered: sub-Plugins-DeviceEyetrackerDummy-release_ordered 
+	@if not exist Plugins\DeviceEyetrackerTobii\ mkdir Plugins\DeviceEyetrackerTobii\ & if not exist Plugins\DeviceEyetrackerTobii\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerTobii\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerTobii\DeviceEyetrackerTobii.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile release
+release: sub-GazeTkLib-release_ordered sub-Hub-release_ordered sub-Plugins-DeviceEyetrackerDummy-release_ordered sub-Plugins-DeviceEyetrackerTobii-release_ordered
+
+sub-GazeTkLib-check_ordered:
+	@if not exist GazeTkLib\ mkdir GazeTkLib\ & if not exist GazeTkLib\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd GazeTkLib\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\GazeTkLib\GazeTkLib.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile check
+sub-Hub-check_ordered: sub-GazeTkLib-check_ordered 
+	@if not exist Hub\ mkdir Hub\ & if not exist Hub\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Hub\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Hub\Hub.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile check
+sub-Plugins-DeviceEyetrackerDummy-check_ordered: sub-Hub-check_ordered 
+	@if not exist Plugins\DeviceEyetrackerDummy\ mkdir Plugins\DeviceEyetrackerDummy\ & if not exist Plugins\DeviceEyetrackerDummy\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerDummy\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerDummy\DeviceEyetrackerDummy.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile check
+sub-Plugins-DeviceEyetrackerTobii-check_ordered: sub-Plugins-DeviceEyetrackerDummy-check_ordered 
+	@if not exist Plugins\DeviceEyetrackerTobii\ mkdir Plugins\DeviceEyetrackerTobii\ & if not exist Plugins\DeviceEyetrackerTobii\ exit 1
+	@set MAKEFLAGS=$(MAKEFLAGS)
+	cd Plugins\DeviceEyetrackerTobii\ && ( if not exist Makefile $(QMAKE) D:\Entwicklung\CITEC.OpenSource\GazeTK\gazetk\GazeTkHub\Plugins\DeviceEyetrackerTobii\DeviceEyetrackerTobii.pro -spec win32-msvc2013 "CONFIG+=debug" -o Makefile ) && $(MAKE) -f Makefile check
+check: sub-GazeTkLib-check_ordered sub-Hub-check_ordered sub-Plugins-DeviceEyetrackerDummy-check_ordered sub-Plugins-DeviceEyetrackerTobii-check_ordered
+install:install_subtargets  FORCE
+
+uninstall: uninstall_subtargets FORCE
+
+FORCE:
+
diff --git a/GazeTkHub/Plugins/DeviceEyetrackerDummy/DeviceEyetrackerDummy.pro b/GazeTkHub/Plugins/DeviceEyetrackerDummy/DeviceEyetrackerDummy.pro
index ceb1e2a..f6a6384 100644
--- a/GazeTkHub/Plugins/DeviceEyetrackerDummy/DeviceEyetrackerDummy.pro
+++ b/GazeTkHub/Plugins/DeviceEyetrackerDummy/DeviceEyetrackerDummy.pro
@@ -3,6 +3,10 @@
 # Project created by QtCreator 2015-10-27T14:34:48
 #
 #-------------------------------------------------
+# Check if the config file exists
+! include( ../../common.pri ) {
+    error( "Couldn't find the common.pri file!" )
+}
 
 QT       += core gui
 
@@ -10,13 +14,18 @@ TARGET = DeviceEyetrackerDummy
 TEMPLATE = lib
 CONFIG += plugin
 
-DESTDIR = $$[QT_INSTALL_PLUGINS]/generic
+#DESTDIR = $$[QT_INSTALL_PLUGINS]/generic
+DESTDIR = $${DESTDIR}/bin/plugins
 
 SOURCES += deviceeyetrackerdummy.cpp
 
 HEADERS += deviceeyetrackerdummy.h
 DISTFILES += DeviceEyetrackerDummy.json
 
+INCLUDEPATH += ../../GazeTkLib/include
+
+DeviceEyetrackerDummy.depends = GazeTkLib
+
 unix {
     target.path = /usr/lib
     INSTALLS += target
diff --git a/GazeTkHub/Plugins/DeviceEyetrackerDummy/deviceeyetrackerdummy.cpp b/GazeTkHub/Plugins/DeviceEyetrackerDummy/deviceeyetrackerdummy.cpp
index fc77b61..dca107f 100644
--- a/GazeTkHub/Plugins/DeviceEyetrackerDummy/deviceeyetrackerdummy.cpp
+++ b/GazeTkHub/Plugins/DeviceEyetrackerDummy/deviceeyetrackerdummy.cpp
@@ -1,11 +1,20 @@
 #include "deviceeyetrackerdummy.h"
 
+namespace gazetk
+{
+namespace plugins
+{
 
 DeviceEyetrackerDummy::DeviceEyetrackerDummy(QObject *parent) :
-    QGenericPlugin(parent)
+    QObject(parent)
 {
 }
 
+
+} // namespace plugins
+
+} // namespace gazetk
+
 #if QT_VERSION < 0x050000
 Q_EXPORT_PLUGIN2(DeviceEyetrackerDummy, DeviceEyetrackerDummy)
 #endif // QT_VERSION < 0x050000
diff --git a/GazeTkHub/Plugins/DeviceEyetrackerDummy/deviceeyetrackerdummy.h b/GazeTkHub/Plugins/DeviceEyetrackerDummy/deviceeyetrackerdummy.h
index 06cb122..04a4848 100644
--- a/GazeTkHub/Plugins/DeviceEyetrackerDummy/deviceeyetrackerdummy.h
+++ b/GazeTkHub/Plugins/DeviceEyetrackerDummy/deviceeyetrackerdummy.h
@@ -1,18 +1,32 @@
 #ifndef DEVICEEYETRACKERDUMMY_H
 #define DEVICEEYETRACKERDUMMY_H
 
-#include <QGenericPlugin>
+#include "gazetkinterfaces.h"
 
+namespace gazetk
+{
+namespace plugins
+{
 
-class DeviceEyetrackerDummy : public QGenericPlugin
+/**
+ * @brief The DeviceEyetrackerDummy class
+ *
+ * A dummy implementation of an eye tracking device
+ */
+class DeviceEyetrackerDummy : public QObject, gazetk::PluginInterface
 {
     Q_OBJECT
-#if QT_VERSION >= 0x050000
-    Q_PLUGIN_METADATA(IID "org.qt-project.Qt.QGenericPluginFactoryInterface" FILE "DeviceEyetrackerDummy.json")
-#endif // QT_VERSION >= 0x050000
+    Q_INTERFACES(gazetk::PluginInterface)
+    Q_PLUGIN_METADATA(IID "com.eyemovementresearch.gazetk.PluginInterface" FILE "DeviceEyetrackerDummy.json")
 
 public:
     DeviceEyetrackerDummy(QObject *parent = 0);
+
+    virtual void postMessage() {};
 };
 
+} // namespace plugins
+
+} // namespace gazetk
+
 #endif // DEVICEEYETRACKERDUMMY_H
diff --git a/GazeTkHub/Plugins/DeviceEyetrackerTobii/DeviceEyetrackerTobii.pro b/GazeTkHub/Plugins/DeviceEyetrackerTobii/DeviceEyetrackerTobii.pro
index c00be6b..faf247c 100644
--- a/GazeTkHub/Plugins/DeviceEyetrackerTobii/DeviceEyetrackerTobii.pro
+++ b/GazeTkHub/Plugins/DeviceEyetrackerTobii/DeviceEyetrackerTobii.pro
@@ -3,6 +3,10 @@
 # Project created by QtCreator 2015-10-27T14:34:48
 #
 #-------------------------------------------------
+# Check if the config file exists
+! include( ../../common.pri ) {
+    error( "Couldn't find the common.pri file!" )
+}
 
 QT       += core gui
 
@@ -10,13 +14,16 @@ TARGET = DeviceEyetrackerTobii
 TEMPLATE = lib
 CONFIG += plugin
 
-DESTDIR = $$[QT_INSTALL_PLUGINS]/generic
+#DESTDIR = $$[QT_INSTALL_PLUGINS]/generic
+DESTDIR = $${DESTDIR}/bin/plugins
 
 SOURCES += deviceeyetrackertobii.cpp
 
 HEADERS += deviceeyetrackertobii.h
 DISTFILES += DeviceEyetrackerTobii.json
 
+INCLUDEPATH += ../../GazeTkLib/include
+
 unix {
     target.path = /usr/lib
     INSTALLS += target
diff --git a/GazeTkHub/Plugins/DeviceEyetrackerTobii/deviceeyetrackertobii.cpp b/GazeTkHub/Plugins/DeviceEyetrackerTobii/deviceeyetrackertobii.cpp
index 84ef7b9..58b63a9 100644
--- a/GazeTkHub/Plugins/DeviceEyetrackerTobii/deviceeyetrackertobii.cpp
+++ b/GazeTkHub/Plugins/DeviceEyetrackerTobii/deviceeyetrackertobii.cpp
@@ -1,11 +1,21 @@
 #include "deviceeyetrackertobii.h"
 
+namespace gazetk
+{
+namespace plugins
+{
 
 DeviceEyetrackerTobii::DeviceEyetrackerTobii(QObject *parent) :
-    QGenericPlugin(parent)
+    QObject(parent)
 {
 }
 
+
+} // namespace plugins
+
+} // namespace gazetk
+
+
 #if QT_VERSION < 0x050000
 Q_EXPORT_PLUGIN2(DeviceEyetrackerTobii, DeviceEyetrackerTobii)
 #endif // QT_VERSION < 0x050000
diff --git a/GazeTkHub/Plugins/DeviceEyetrackerTobii/deviceeyetrackertobii.h b/GazeTkHub/Plugins/DeviceEyetrackerTobii/deviceeyetrackertobii.h
index be01f49..4fad68f 100644
--- a/GazeTkHub/Plugins/DeviceEyetrackerTobii/deviceeyetrackertobii.h
+++ b/GazeTkHub/Plugins/DeviceEyetrackerTobii/deviceeyetrackertobii.h
@@ -1,18 +1,28 @@
 #ifndef DEVICEEYETRACKERTOBII_H
 #define DEVICEEYETRACKERTOBII_H
 
-#include <QGenericPlugin>
+#include "gazetkinterfaces.h"
 
+namespace gazetk
+{
+namespace plugins
+{
 
-class DeviceEyetrackerTobii : public QGenericPlugin
+class DeviceEyetrackerTobii : public QObject, gazetk::PluginInterface
 {
     Q_OBJECT
-#if QT_VERSION >= 0x050000
-    Q_PLUGIN_METADATA(IID "org.qt-project.Qt.QGenericPluginFactoryInterface" FILE "DeviceEyetrackerTobii.json")
-#endif // QT_VERSION >= 0x050000
+    Q_INTERFACES(gazetk::PluginInterface)
+    Q_PLUGIN_METADATA(IID "com.eyemovementresearch.gazetk.PluginInterface" FILE "DeviceEyetrackerTobii.json")
 
 public:
     DeviceEyetrackerTobii(QObject *parent = 0);
+
+    virtual void postMessage() {}
 };
 
+} // namespace plugins
+
+} // namespace gazetk
+
+
 #endif // DEVICEEYETRACKERTOBII_H
diff --git a/GazeTkHub/common.pri b/GazeTkHub/common.pri
index 5a54ef4..66a6d5c 100644
--- a/GazeTkHub/common.pri
+++ b/GazeTkHub/common.pri
@@ -1,11 +1,36 @@
 #Includes common configuration for all subdirectory .pro files.
-INCLUDEPATH += . ..
+INCLUDEPATH += . .. ../../include
 WARNINGS += -Wall
 
 TEMPLATE = lib
 
+debug_and_release:build_pass {
+CONFIG(debug, debug|release) {
+CURBUILD = debug
+} else {
+CURBUILD = release
+}
+
+GAZETK_TARGET = $(GAZETK_HOME)
+isEmpty(GAZETK_TARGET) {
+DESTDIR      = $${top_builddir}/$${CURBUILD}
+} else {
+DESTDIR      = $${GAZETK_TARGET}/$${CURBUILD}
+}
+
+OBJECTS_DIR  = $${top_builddir}/$${CURBUILD}/$dirname($${_PRO_FILE_PWD_})
+
+MOC_DIR      = $${OBJECTS_DIR}
+UI_DIR       = $${OBJECTS_DIR}
+RCC_DIR      = $${OBJECTS_DIR}
+INCLUDEPATH += $${OBJECTS_DIR}
+LIBS        += -L$${DESTDIR}/bin -L$${DESTDIR}/lib
+unset(CURBUILD)
+}
+
 # The following keeps the generated files at least somewhat separate 
 # from the source files.
 UI_DIR = uics
 MOC_DIR = mocs
 OBJECTS_DIR = objs
+
diff --git a/Protocol/CMakeLists.txt b/Protocol/CMakeLists.txt
index 494fc40..814dfdb 100644
--- a/Protocol/CMakeLists.txt
+++ b/Protocol/CMakeLists.txt
@@ -33,13 +33,28 @@ add_library(GazeTkProtocol STATIC src_cpp/protocol.cc ${PROTO_SRCS} ${PROTO_HDRS
 target_link_libraries(GazeTkProtocol ${PROTOBUF_LIBRARIES})
 
 install(TARGETS GazeTkProtocol
-     RUNTIME DESTINATION bin COMPONENT libraries
-     LIBRARY DESTINATION lib COMPONENT libraries
-     PUBLIC_HEADER DESTINATION include COMPONENT libraries
-     ARCHIVE DESTINATION lib/static COMPONENT libraries)
-     
-install(DIRECTORY src_cpp/ DESTINATION include/GazeTkProtocol
-        FILES_MATCHING PATTERN "*.h")
+     RUNTIME DESTINATION debug/bin COMPONENT libraries
+     LIBRARY DESTINATION debug/lib COMPONENT libraries
+     PUBLIC_HEADER DESTINATION debug/include COMPONENT libraries
+     ARCHIVE DESTINATION debug/lib/static COMPONENT libraries
+     CONFIGURATIONS Debug)
+
+install(TARGETS GazeTkProtocol
+     RUNTIME DESTINATION release/bin COMPONENT libraries
+     LIBRARY DESTINATION release/lib COMPONENT libraries
+     PUBLIC_HEADER DESTINATION release/include COMPONENT libraries
+     ARCHIVE DESTINATION release/lib/static COMPONENT libraries 
+     CONFIGURATIONS Release)
+
+install(DIRECTORY src_cpp/ DESTINATION release/include/GazeTkProtocol
+				CONFIGURATIONS Release
+        FILES_MATCHING PATTERN "*.h"
+        )
+
+install(DIRECTORY src_cpp/ DESTINATION debug/include/GazeTkProtocol
+				CONFIGURATIONS Debug
+        FILES_MATCHING PATTERN "*.h"
+        )
         
 #
 # Installing the header files.
@@ -47,12 +62,22 @@ install(DIRECTORY src_cpp/ DESTINATION include/GazeTkProtocol
 # for them. However, if we do so, the install command creates empty subdirs according
 # to initial structure. By excluding them, this is prohibited. Nicer solutions welcome!
 #
-install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/ DESTINATION include/GazeTkProtocol
+install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/ DESTINATION release/include/GazeTkProtocol
+        CONFIGURATIONS Release
 				FILES_MATCHING PATTERN "*.h"
 				PATTERN "Win32" EXCLUDE
 				PATTERN "GazeTkProtocol.dir" EXCLUDE
 				PATTERN "Debug" EXCLUDE
 				PATTERN "Release" EXCLUDE
 				PATTERN "CMakeFiles" EXCLUDE
-        )
-        
\ No newline at end of file
+)
+        
+install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/ DESTINATION debug/include/GazeTkProtocol
+        CONFIGURATIONS Debug
+        FILES_MATCHING PATTERN "*.h"
+				PATTERN "Win32" EXCLUDE
+				PATTERN "GazeTkProtocol.dir" EXCLUDE
+				PATTERN "Debug" EXCLUDE
+				PATTERN "Release" EXCLUDE
+				PATTERN "CMakeFiles" EXCLUDE
+)        
\ No newline at end of file
diff --git a/Protocol/readme.md b/Protocol/readme.md
index 5bcc544..08ab1b9 100644
--- a/Protocol/readme.md
+++ b/Protocol/readme.md
@@ -6,5 +6,7 @@ Installation on Windows using Visual Studio 2013
 - create a build directory (mkdir build)
 - enter the build directory (cd build)
 - call cmake with appropriate generator on source directory (cmake -G "Visual Studio 12" ..)
+- - redirect the installation output to an appropriate output folder: -DCMAKE_INSTALL_PREFIX:PATH=/usr
+- - example: cmake -G "Visual Studio 12" -DCMAKE_INSTALL_PREFIX:PATH=../.. ..
 - open solution and build project to generate all the source files from the protos.
 
